For the complete documentation index, see llms.txt. This page is also available as Markdown.

Dataset

DataSets

DataSet Search

get

Search this users DataSets

Query parameters
dataSetIdintegerOptional

Filter by DataSet Id

dataSetstringOptional

Filter by DataSet Name

codestringOptional

Filter by DataSet Code

isRealTimeintegerOptional

Filter by real time

userIdintegerOptional

Filter by user Id

embedstringOptional

Embed related data such as columns

folderIdintegerOptional

Filter by Folder ID

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/dataset
GET /api/dataset HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "dataSetId": 1,
    "dataSet": "text",
    "description": "text",
    "userId": 1,
    "lastDataEdit": 1,
    "owner": "text",
    "groupsWithPermissions": "text",
    "code": "text",
    "isLookup": 1,
    "isRemote": 1,
    "isRealTime": 1,
    "dataConnectorSource": "text",
    "method": "text",
    "uri": "text",
    "postData": "text",
    "authentication": "text",
    "username": "text",
    "password": "text",
    "customHeaders": "text",
    "userAgent": "text",
    "refreshRate": 1,
    "clearRate": 1,
    "truncateOnEmpty": 1,
    "runsAfter": 1,
    "lastSync": 1,
    "lastClear": 1,
    "dataRoot": "text",
    "summarize": "text",
    "summarizeField": "text",
    "sourceId": 1,
    "ignoreFirstRow": 1,
    "rowLimit": 1,
    "limitPolicy": "text",
    "csvSeparator": "text",
    "folderId": 1,
    "permissionsFolderId": 1
  }
]

Add DataSet

post

Add a DataSet

Body
dataSetstringRequired

The DataSet Name

descriptionstringOptional

A description of this DataSet

codestringOptional

A code for this DataSet

isRemoteintegerRequired

Is this a remote DataSet?

isRealTimeintegerRequired

Is this a real time DataSet?

dataConnectorSourcestringRequired

Source of the data connector

methodstringOptional

The Request Method GET or POST

uristringOptional

The URI, without query parameters

postDatastringOptional

query parameter encoded data to add to the request

authenticationstringOptional

HTTP Authentication method None|Basic|Digest

usernamestringOptional

HTTP Authentication User Name

passwordstringOptional

HTTP Authentication Password

customHeadersstringOptional

Comma separated string of custom HTTP headers

userAgentstringOptional

Custom user Agent value

refreshRateintegerOptional

How often in seconds should this remote DataSet be refreshed

clearRateintegerOptional

How often in seconds should this remote DataSet be truncated

truncateOnEmptyintegerOptional

Should the DataSet data be truncated even if no new data is pulled from the source?

runsAfterintegerOptional

An optional dataSetId which should be run before this Remote DataSet

dataRootstringOptional

The root of the data in the Remote source which is used as the base for all remote columns

summarizestringOptional

Should the data be aggregated? None|Summarize|Count

summarizeFieldstringOptional

Which field should be used to summarize

sourceIdintegerOptional

For remote DataSet, what type data is it? 1 - json, 2 - csv

ignoreFirstRowintegerOptional

For remote DataSet with sourceId 2 (CSV), should we ignore first row?

rowLimitintegerOptional

For remote DataSet, maximum number of rows this DataSet can hold, if left empty the CMS Setting for DataSet row limit will be used.

limitPolicystringOptional

For remote DataSet, what should happen when the DataSet row limit is reached? stop, fifo or truncate

csvSeparatorstringOptional

Separator that should be used when using Remote DataSets with CSV source, comma will be used by default.

dataConnectorScriptstringOptional

If isRealTime then provide a script to connect to the data source

folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
201

successful operation

application/json
post/dataset
POST /api/dataset HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 514

"dataSet='text'&description='text'&code='text'&isRemote=1&isRealTime=1&dataConnectorSource='text'&method='text'&uri='text'&postData='text'&authentication='text'&username='text'&password='text'&customHeaders='text'&userAgent='text'&refreshRate=1&clearRate=1&truncateOnEmpty=1&runsAfter=1&dataRoot='text'&summarize='text'&summarizeField='text'&sourceId=1&ignoreFirstRow=1&rowLimit=1&limitPolicy='text'&csvSeparator='text'&dataConnectorScript='text'&folderId=1"
201

successful operation

{
  "dataSetId": 1,
  "dataSet": "text",
  "description": "text",
  "userId": 1,
  "lastDataEdit": 1,
  "owner": "text",
  "groupsWithPermissions": "text",
  "code": "text",
  "isLookup": 1,
  "isRemote": 1,
  "isRealTime": 1,
  "dataConnectorSource": "text",
  "method": "text",
  "uri": "text",
  "postData": "text",
  "authentication": "text",
  "username": "text",
  "password": "text",
  "customHeaders": "text",
  "userAgent": "text",
  "refreshRate": 1,
  "clearRate": 1,
  "truncateOnEmpty": 1,
  "runsAfter": 1,
  "lastSync": 1,
  "lastClear": 1,
  "dataRoot": "text",
  "summarize": "text",
  "summarizeField": "text",
  "sourceId": 1,
  "ignoreFirstRow": 1,
  "rowLimit": 1,
  "limitPolicy": "text",
  "csvSeparator": "text",
  "folderId": 1,
  "permissionsFolderId": 1
}

DataSet Search by ID

get

Get the DataSet object specified by the provided datasetId

Path parameters
datasetIdintegerRequired

Numeric ID of the DataSet to get

Responses
200

successful operation

application/json

Class DataSet

dataSetIdintegerOptional

The dataSetId

dataSetstringOptional

The dataSet Name

descriptionstringOptional

The dataSet description

userIdintegerOptional

The userId of the User that owns this DataSet

lastDataEditintegerOptional

Timestamp indicating the date/time this DataSet was edited last

ownerstringOptional

The user name of the User that owns this DataSet

groupsWithPermissionsstringOptional

A comma separated list of Groups/Users that have permission to this DataSet

codestringOptional

A code for this Data Set

isLookupintegerOptional

Flag to indicate whether this DataSet is a lookup table

isRemoteintegerOptional

Flag to indicate whether this DataSet is Remote

isRealTimeintegerOptional

Flag to indicate whether this DataSet is Real time

dataConnectorSourcestringOptional

Indicates the source of the data connector. Requires the Real time flag. Can be null, user-defined, or a connector.

methodstringOptional

Method to fetch the Data, can be GET or POST

uristringOptional

URI to call to fetch Data from. Replacements are {{DATE}}, {{TIME}} and, in case this is a sequencial used DataSet, {{COL.NAME}} where NAME is a ColumnName from the underlying DataSet.

postDatastringOptional

Data to send as POST-Data to the remote host with the same Replacements as in the URI.

authenticationstringOptional

Authentication method, can be none, digest, basic

usernamestringOptional

Username to authenticate with

passwordstringOptional

Corresponding password

customHeadersstringOptional

Comma separated string of custom HTTP headers

userAgentstringOptional

Custom User agent

refreshRateintegerOptional

Time in seconds this DataSet should fetch new Datas from the remote host

clearRateintegerOptional

Time in seconds when this Dataset should be cleared. If here is a lower value than in RefreshRate it will be cleared when the data is refreshed

truncateOnEmptyintegerOptional

Flag whether to truncate DataSet data if no new data is pulled from remote source

runsAfterintegerOptional

DataSetID of the DataSet which should be fetched and present before the Data from this DataSet are fetched

lastSyncintegerOptional

Last Synchronisation Timestamp

lastClearintegerOptional

Last Clear Timestamp

dataRootstringOptional

Root-Element form JSON where the data are stored in

summarizestringOptional

Optional function to use for summarize or count unique fields in a remote request

summarizeFieldstringOptional

JSON-Element below the Root-Element on which the consolidation should be applied on

sourceIdintegerOptional

The source id for remote dataSet, 1 - JSON, 2 - CSV

ignoreFirstRowintegerOptional

A flag whether to ignore the first row, for CSV source remote dataSet

rowLimitintegerOptional

Soft limit on number of rows per DataSet, if left empty the global DataSet row limit will be used.

limitPolicystringOptional

Type of action that should be taken on next remote DataSet sync - stop, fifo or truncate

csvSeparatorstringOptional

Custom separator for CSV source, comma will be used by default

folderIdintegerOptional

The id of the Folder this DataSet belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this DataSet

get/dataset/{id}
GET /api/dataset/{id} HTTP/1.1
Accept: */*
200

successful operation

{
  "dataSetId": 1,
  "dataSet": "text",
  "description": "text",
  "userId": 1,
  "lastDataEdit": 1,
  "owner": "text",
  "groupsWithPermissions": "text",
  "code": "text",
  "isLookup": 1,
  "isRemote": 1,
  "isRealTime": 1,
  "dataConnectorSource": "text",
  "method": "text",
  "uri": "text",
  "postData": "text",
  "authentication": "text",
  "username": "text",
  "password": "text",
  "customHeaders": "text",
  "userAgent": "text",
  "refreshRate": 1,
  "clearRate": 1,
  "truncateOnEmpty": 1,
  "runsAfter": 1,
  "lastSync": 1,
  "lastClear": 1,
  "dataRoot": "text",
  "summarize": "text",
  "summarizeField": "text",
  "sourceId": 1,
  "ignoreFirstRow": 1,
  "rowLimit": 1,
  "limitPolicy": "text",
  "csvSeparator": "text",
  "folderId": 1,
  "permissionsFolderId": 1
}

Edit DataSet

put

Edit a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

Body
dataSetstringRequired

The DataSet Name

descriptionstringOptional

A description of this DataSet

codestringOptional

A code for this DataSet

isRemoteintegerRequired

Is this a remote DataSet?

isRealTimeintegerRequired

Is this a real time DataSet?

dataConnectorSourcestringRequired

Source of the data connector

methodstringOptional

The Request Method GET or POST

uristringOptional

The URI, without query parameters

postDatastringOptional

query parameter encoded data to add to the request

authenticationstringOptional

HTTP Authentication method None|Basic|Digest

usernamestringOptional

HTTP Authentication User Name

passwordstringOptional

HTTP Authentication Password

customHeadersstringOptional

Comma separated string of custom HTTP headers

userAgentstringOptional

Custom user Agent value

refreshRateintegerOptional

How often in seconds should this remote DataSet be refreshed

clearRateintegerOptional

How often in seconds should this remote DataSet be truncated

truncateOnEmptyintegerOptional

Should the DataSet data be truncated even if no new data is pulled from the source?

runsAfterintegerOptional

An optional dataSetId which should be run before this Remote DataSet

dataRootstringOptional

The root of the data in the Remote source which is used as the base for all remote columns

summarizestringOptional

Should the data be aggregated? None|Summarize|Count

summarizeFieldstringOptional

Which field should be used to summarize

sourceIdintegerOptional

For remote DataSet, what type data is it? 1 - json, 2 - csv

ignoreFirstRowintegerOptional

For remote DataSet with sourceId 2 (CSV), should we ignore first row?

rowLimitintegerOptional

For remote DataSet, maximum number of rows this DataSet can hold, if left empty the CMS Setting for DataSet row limit will be used.

limitPolicystringOptional

For remote DataSet, what should happen when the DataSet row limit is reached? stop, fifo or truncate

csvSeparatorstringOptional

Separator that should be used when using Remote DataSets with CSV source, comma will be used by default.

dataConnectorScriptstringOptional

If isRealTime then provide a script to connect to the data source

folderIdintegerOptional

Folder ID to which this object should be assigned to

Responses
200

successful operation

application/json

Class DataSet

dataSetIdintegerOptional

The dataSetId

dataSetstringOptional

The dataSet Name

descriptionstringOptional

The dataSet description

userIdintegerOptional

The userId of the User that owns this DataSet

lastDataEditintegerOptional

Timestamp indicating the date/time this DataSet was edited last

ownerstringOptional

The user name of the User that owns this DataSet

groupsWithPermissionsstringOptional

A comma separated list of Groups/Users that have permission to this DataSet

codestringOptional

A code for this Data Set

isLookupintegerOptional

Flag to indicate whether this DataSet is a lookup table

isRemoteintegerOptional

Flag to indicate whether this DataSet is Remote

isRealTimeintegerOptional

Flag to indicate whether this DataSet is Real time

dataConnectorSourcestringOptional

Indicates the source of the data connector. Requires the Real time flag. Can be null, user-defined, or a connector.

methodstringOptional

Method to fetch the Data, can be GET or POST

uristringOptional

URI to call to fetch Data from. Replacements are {{DATE}}, {{TIME}} and, in case this is a sequencial used DataSet, {{COL.NAME}} where NAME is a ColumnName from the underlying DataSet.

postDatastringOptional

Data to send as POST-Data to the remote host with the same Replacements as in the URI.

authenticationstringOptional

Authentication method, can be none, digest, basic

usernamestringOptional

Username to authenticate with

passwordstringOptional

Corresponding password

customHeadersstringOptional

Comma separated string of custom HTTP headers

userAgentstringOptional

Custom User agent

refreshRateintegerOptional

Time in seconds this DataSet should fetch new Datas from the remote host

clearRateintegerOptional

Time in seconds when this Dataset should be cleared. If here is a lower value than in RefreshRate it will be cleared when the data is refreshed

truncateOnEmptyintegerOptional

Flag whether to truncate DataSet data if no new data is pulled from remote source

runsAfterintegerOptional

DataSetID of the DataSet which should be fetched and present before the Data from this DataSet are fetched

lastSyncintegerOptional

Last Synchronisation Timestamp

lastClearintegerOptional

Last Clear Timestamp

dataRootstringOptional

Root-Element form JSON where the data are stored in

summarizestringOptional

Optional function to use for summarize or count unique fields in a remote request

summarizeFieldstringOptional

JSON-Element below the Root-Element on which the consolidation should be applied on

sourceIdintegerOptional

The source id for remote dataSet, 1 - JSON, 2 - CSV

ignoreFirstRowintegerOptional

A flag whether to ignore the first row, for CSV source remote dataSet

rowLimitintegerOptional

Soft limit on number of rows per DataSet, if left empty the global DataSet row limit will be used.

limitPolicystringOptional

Type of action that should be taken on next remote DataSet sync - stop, fifo or truncate

csvSeparatorstringOptional

Custom separator for CSV source, comma will be used by default

folderIdintegerOptional

The id of the Folder this DataSet belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this DataSet

put/dataset/{dataSetId}
PUT /api/dataset/{dataSetId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 514

"dataSet='text'&description='text'&code='text'&isRemote=1&isRealTime=1&dataConnectorSource='text'&method='text'&uri='text'&postData='text'&authentication='text'&username='text'&password='text'&customHeaders='text'&userAgent='text'&refreshRate=1&clearRate=1&truncateOnEmpty=1&runsAfter=1&dataRoot='text'&summarize='text'&summarizeField='text'&sourceId=1&ignoreFirstRow=1&rowLimit=1&limitPolicy='text'&csvSeparator='text'&dataConnectorScript='text'&folderId=1"
200

successful operation

{
  "dataSetId": 1,
  "dataSet": "text",
  "description": "text",
  "userId": 1,
  "lastDataEdit": 1,
  "owner": "text",
  "groupsWithPermissions": "text",
  "code": "text",
  "isLookup": 1,
  "isRemote": 1,
  "isRealTime": 1,
  "dataConnectorSource": "text",
  "method": "text",
  "uri": "text",
  "postData": "text",
  "authentication": "text",
  "username": "text",
  "password": "text",
  "customHeaders": "text",
  "userAgent": "text",
  "refreshRate": 1,
  "clearRate": 1,
  "truncateOnEmpty": 1,
  "runsAfter": 1,
  "lastSync": 1,
  "lastClear": 1,
  "dataRoot": "text",
  "summarize": "text",
  "summarizeField": "text",
  "sourceId": 1,
  "ignoreFirstRow": 1,
  "rowLimit": 1,
  "limitPolicy": "text",
  "csvSeparator": "text",
  "folderId": 1,
  "permissionsFolderId": 1
}

Delete DataSet

delete

Delete a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

Responses
204

successful operation

No content

delete/dataset/{dataSetId}
DELETE /api/dataset/{dataSetId} HTTP/1.1
Accept: */*
204

successful operation

No content

Edit DataSet Data Connector

put

Edit a DataSet Data Connector

Path parameters
dataSetIdintegerRequired

The DataSet ID

Body
dataConnectorScriptstringOptional

If isRealTime then provide a script to connect to the data source

Responses
200

successful operation

application/json

Class DataSet

dataSetIdintegerOptional

The dataSetId

dataSetstringOptional

The dataSet Name

descriptionstringOptional

The dataSet description

userIdintegerOptional

The userId of the User that owns this DataSet

lastDataEditintegerOptional

Timestamp indicating the date/time this DataSet was edited last

ownerstringOptional

The user name of the User that owns this DataSet

groupsWithPermissionsstringOptional

A comma separated list of Groups/Users that have permission to this DataSet

codestringOptional

A code for this Data Set

isLookupintegerOptional

Flag to indicate whether this DataSet is a lookup table

isRemoteintegerOptional

Flag to indicate whether this DataSet is Remote

isRealTimeintegerOptional

Flag to indicate whether this DataSet is Real time

dataConnectorSourcestringOptional

Indicates the source of the data connector. Requires the Real time flag. Can be null, user-defined, or a connector.

methodstringOptional

Method to fetch the Data, can be GET or POST

uristringOptional

URI to call to fetch Data from. Replacements are {{DATE}}, {{TIME}} and, in case this is a sequencial used DataSet, {{COL.NAME}} where NAME is a ColumnName from the underlying DataSet.

postDatastringOptional

Data to send as POST-Data to the remote host with the same Replacements as in the URI.

authenticationstringOptional

Authentication method, can be none, digest, basic

usernamestringOptional

Username to authenticate with

passwordstringOptional

Corresponding password

customHeadersstringOptional

Comma separated string of custom HTTP headers

userAgentstringOptional

Custom User agent

refreshRateintegerOptional

Time in seconds this DataSet should fetch new Datas from the remote host

clearRateintegerOptional

Time in seconds when this Dataset should be cleared. If here is a lower value than in RefreshRate it will be cleared when the data is refreshed

truncateOnEmptyintegerOptional

Flag whether to truncate DataSet data if no new data is pulled from remote source

runsAfterintegerOptional

DataSetID of the DataSet which should be fetched and present before the Data from this DataSet are fetched

lastSyncintegerOptional

Last Synchronisation Timestamp

lastClearintegerOptional

Last Clear Timestamp

dataRootstringOptional

Root-Element form JSON where the data are stored in

summarizestringOptional

Optional function to use for summarize or count unique fields in a remote request

summarizeFieldstringOptional

JSON-Element below the Root-Element on which the consolidation should be applied on

sourceIdintegerOptional

The source id for remote dataSet, 1 - JSON, 2 - CSV

ignoreFirstRowintegerOptional

A flag whether to ignore the first row, for CSV source remote dataSet

rowLimitintegerOptional

Soft limit on number of rows per DataSet, if left empty the global DataSet row limit will be used.

limitPolicystringOptional

Type of action that should be taken on next remote DataSet sync - stop, fifo or truncate

csvSeparatorstringOptional

Custom separator for CSV source, comma will be used by default

folderIdintegerOptional

The id of the Folder this DataSet belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this DataSet

put/dataset/dataConnector/{dataSetId}
PUT /api/dataset/dataConnector/{dataSetId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 30

"dataConnectorScript='text'"
200

successful operation

{
  "dataSetId": 1,
  "dataSet": "text",
  "description": "text",
  "userId": 1,
  "lastDataEdit": 1,
  "owner": "text",
  "groupsWithPermissions": "text",
  "code": "text",
  "isLookup": 1,
  "isRemote": 1,
  "isRealTime": 1,
  "dataConnectorSource": "text",
  "method": "text",
  "uri": "text",
  "postData": "text",
  "authentication": "text",
  "username": "text",
  "password": "text",
  "customHeaders": "text",
  "userAgent": "text",
  "refreshRate": 1,
  "clearRate": 1,
  "truncateOnEmpty": 1,
  "runsAfter": 1,
  "lastSync": 1,
  "lastClear": 1,
  "dataRoot": "text",
  "summarize": "text",
  "summarizeField": "text",
  "sourceId": 1,
  "ignoreFirstRow": 1,
  "rowLimit": 1,
  "limitPolicy": "text",
  "csvSeparator": "text",
  "folderId": 1,
  "permissionsFolderId": 1
}

Copy DataSet

post

Copy a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

Body
dataSetstringRequired

The DataSet Name

descriptionstringOptional

A description of this DataSet

codestringOptional

A code for this DataSet

copyRowsintegerOptional

Flag whether to copy all the row data from the original dataSet

Responses
200

successful operation

application/json

Class DataSet

dataSetIdintegerOptional

The dataSetId

dataSetstringOptional

The dataSet Name

descriptionstringOptional

The dataSet description

userIdintegerOptional

The userId of the User that owns this DataSet

lastDataEditintegerOptional

Timestamp indicating the date/time this DataSet was edited last

ownerstringOptional

The user name of the User that owns this DataSet

groupsWithPermissionsstringOptional

A comma separated list of Groups/Users that have permission to this DataSet

codestringOptional

A code for this Data Set

isLookupintegerOptional

Flag to indicate whether this DataSet is a lookup table

isRemoteintegerOptional

Flag to indicate whether this DataSet is Remote

isRealTimeintegerOptional

Flag to indicate whether this DataSet is Real time

dataConnectorSourcestringOptional

Indicates the source of the data connector. Requires the Real time flag. Can be null, user-defined, or a connector.

methodstringOptional

Method to fetch the Data, can be GET or POST

uristringOptional

URI to call to fetch Data from. Replacements are {{DATE}}, {{TIME}} and, in case this is a sequencial used DataSet, {{COL.NAME}} where NAME is a ColumnName from the underlying DataSet.

postDatastringOptional

Data to send as POST-Data to the remote host with the same Replacements as in the URI.

authenticationstringOptional

Authentication method, can be none, digest, basic

usernamestringOptional

Username to authenticate with

passwordstringOptional

Corresponding password

customHeadersstringOptional

Comma separated string of custom HTTP headers

userAgentstringOptional

Custom User agent

refreshRateintegerOptional

Time in seconds this DataSet should fetch new Datas from the remote host

clearRateintegerOptional

Time in seconds when this Dataset should be cleared. If here is a lower value than in RefreshRate it will be cleared when the data is refreshed

truncateOnEmptyintegerOptional

Flag whether to truncate DataSet data if no new data is pulled from remote source

runsAfterintegerOptional

DataSetID of the DataSet which should be fetched and present before the Data from this DataSet are fetched

lastSyncintegerOptional

Last Synchronisation Timestamp

lastClearintegerOptional

Last Clear Timestamp

dataRootstringOptional

Root-Element form JSON where the data are stored in

summarizestringOptional

Optional function to use for summarize or count unique fields in a remote request

summarizeFieldstringOptional

JSON-Element below the Root-Element on which the consolidation should be applied on

sourceIdintegerOptional

The source id for remote dataSet, 1 - JSON, 2 - CSV

ignoreFirstRowintegerOptional

A flag whether to ignore the first row, for CSV source remote dataSet

rowLimitintegerOptional

Soft limit on number of rows per DataSet, if left empty the global DataSet row limit will be used.

limitPolicystringOptional

Type of action that should be taken on next remote DataSet sync - stop, fifo or truncate

csvSeparatorstringOptional

Custom separator for CSV source, comma will be used by default

folderIdintegerOptional

The id of the Folder this DataSet belongs to

permissionsFolderIdintegerOptional

The id of the Folder responsible for providing permissions for this DataSet

post/dataset/copy/{dataSetId}
POST /api/dataset/copy/{dataSetId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 66

"dataSet='text'&description='text'&code='text'&copyRows=1"
200

successful operation

{
  "dataSetId": 1,
  "dataSet": "text",
  "description": "text",
  "userId": 1,
  "lastDataEdit": 1,
  "owner": "text",
  "groupsWithPermissions": "text",
  "code": "text",
  "isLookup": 1,
  "isRemote": 1,
  "isRealTime": 1,
  "dataConnectorSource": "text",
  "method": "text",
  "uri": "text",
  "postData": "text",
  "authentication": "text",
  "username": "text",
  "password": "text",
  "customHeaders": "text",
  "userAgent": "text",
  "refreshRate": 1,
  "clearRate": 1,
  "truncateOnEmpty": 1,
  "runsAfter": 1,
  "lastSync": 1,
  "lastClear": 1,
  "dataRoot": "text",
  "summarize": "text",
  "summarizeField": "text",
  "sourceId": 1,
  "ignoreFirstRow": 1,
  "rowLimit": 1,
  "limitPolicy": "text",
  "csvSeparator": "text",
  "folderId": 1,
  "permissionsFolderId": 1
}

Import CSV

post

Import a CSV into a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID to import into.

Body
filesstring · binaryRequired

The file

csvImport_{dataSetColumnId}integerRequired

You need to provide dataSetColumnId after csvImport_, to know your dataSet columns Ids, you will need to use the GET /dataset/{dataSetId}/column call first. The value of this parameter is the index of the column in your csv file, where the first column is 1

overwriteintegerOptional

flag (0,1) Set to 1 to erase all content in the dataSet and overwrite it with new content in this import

ignorefirstrowintegerOptional

flag (0,1), Set to 1 to Ignore first row, useful if the CSV file has headings

Responses
200

successful operation

No content

post/dataset/import/{dataSetId}
POST /api/dataset/import/{dataSetId} HTTP/1.1
Content-Type: multipart/form-data
Accept: */*
Content-Length: 83

{
  "files": "binary",
  "csvImport_{dataSetColumnId}": 1,
  "overwrite": 1,
  "ignorefirstrow": 1
}
200

successful operation

No content

Import JSON

post

Import JSON into a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID to import into.

Body

Schema for importing JSON data into a DataSet

uniqueKeysstring[]Optional

A name of the unique column

truncatebooleanOptional

Flag True or False, whether to truncate existing data on import

Responses
200

successful operation

No content

post/dataset/importjson/{dataSetId}
POST /api/dataset/importjson/{dataSetId} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 83

{
  "uniqueKeys": [
    "text"
  ],
  "truncate": true,
  "rows": [
    {
      "ANY_ADDITIONAL_PROPERTY": "text"
    }
  ]
}
200

successful operation

No content

Export to CSV

get

Export DataSet data to a csv file

Path parameters
dataSetIdintegerRequired

The DataSet ID to export.

Responses
200

successful operation

No content

get/dataset/export/csv/{dataSetId}
GET /api/dataset/export/csv/{dataSetId} HTTP/1.1
Accept: */*
200

successful operation

No content

Search Columns

get

Search Columns for DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

Query parameters
dataSetColumnIdintegerOptional

Filter by DataSet ColumnID

headingstringOptional

Filter by column heading

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/dataset/{dataSetId}/column
GET /api/dataset/{dataSetId}/column HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "dataSetColumnId": 1,
    "dataSetId": 1,
    "heading": "text",
    "dataTypeId": 1,
    "dataSetColumnTypeId": 1,
    "listContent": "text",
    "columnOrder": 1,
    "formula": "text",
    "dataType": "text",
    "remoteField": "text",
    "showFilter": "text",
    "showSort": "text",
    "dataSetColumnType": "text",
    "tooltip": "text",
    "isRequired": 1,
    "dateFormat": "text"
  }
]

Add Column

post

Add a Column to a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

Body
headingstringRequired

The heading for the Column

listContentstringOptional

A comma separated list of content for drop downs

columnOrderintegerRequired

The display order for this column

dataTypeIdintegerRequired

The data type ID for this column

dataSetColumnTypeIdintegerRequired

The column type for this column

formulastringOptional

MySQL SELECT syntax formula for this Column if the column type is formula

remoteFieldstringOptional

JSON-String to select Data from the Remote DataSet

showFilterintegerRequired

Flag indicating whether this column should present a filter on DataEntry

showSortintegerRequired

Flag indicating whether this column should allow sorting on DataEntry

tooltipintegerOptional

Help text that should be displayed when entering data for this Column.

isRequiredintegerOptional

Flag indicating whether value must be provided for this Column.

dateFormatstringOptional

PHP date format for the dates in the source of the remote DataSet

Responses
201

successful operation

application/json
post/dataset/{dataSetId}/column
POST /api/dataset/{dataSetId}/column HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 207

"heading='text'&listContent='text'&columnOrder=1&dataTypeId=1&dataSetColumnTypeId=1&formula='text'&remoteField='text'&showFilter=1&showSort=1&tooltip=1&isRequired=1&dateFormat='text'"
201

successful operation

{
  "dataSetColumnId": 1,
  "dataSetId": 1,
  "heading": "text",
  "dataTypeId": 1,
  "dataSetColumnTypeId": 1,
  "listContent": "text",
  "columnOrder": 1,
  "formula": "text",
  "dataType": "text",
  "remoteField": "text",
  "showFilter": "text",
  "showSort": "text",
  "dataSetColumnType": "text",
  "tooltip": "text",
  "isRequired": 1,
  "dateFormat": "text"
}

DataSet Column Search by ID

get

Get the DataSet column object specified by the provided datasetId and columnId

Path parameters
datasetIdintegerRequired

Numeric ID of the DataSet to get

datasetColumnIdintegerRequired

Numeric ID of the DataSet column to get

Responses
200

successful operation

application/json

Class DataSetColumn

dataSetColumnIdintegerOptional

The ID of this DataSetColumn

dataSetIdintegerOptional

The ID of the DataSet that this Column belongs to

headingstringOptional

The Column Heading

dataTypeIdintegerOptional

The ID of the DataType for this Column

dataSetColumnTypeIdintegerOptional

The ID of the ColumnType for this Column

listContentstringOptional

Comma separated list of valid content for drop down columns

columnOrderintegerOptional

The order this column should be displayed

formulastringOptional

A MySQL formula for this column

dataTypestringOptional

The data type for this Column

remoteFieldstringOptional

The data field of the remote DataSet as a JSON-String

showFilterstringOptional

Does this column show a filter on the data entry page?

showSortstringOptional

Does this column allow a sorting on the data entry page?

dataSetColumnTypestringOptional

The column type for this Column

tooltipstringOptional

Help text that should be displayed when entering data for this Column.

isRequiredintegerOptional

Flag indicating whether value must be provided for this Column.

dateFormatstringOptional

Date format of dates in the source for remote DataSet.

get/dataset/{id}/column/{colId}
GET /api/dataset/{id}/column/{colId} HTTP/1.1
Accept: */*
200

successful operation

{
  "dataSetColumnId": 1,
  "dataSetId": 1,
  "heading": "text",
  "dataTypeId": 1,
  "dataSetColumnTypeId": 1,
  "listContent": "text",
  "columnOrder": 1,
  "formula": "text",
  "dataType": "text",
  "remoteField": "text",
  "showFilter": "text",
  "showSort": "text",
  "dataSetColumnType": "text",
  "tooltip": "text",
  "isRequired": 1,
  "dateFormat": "text"
}

Edit Column

put

Edit a Column to a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

dataSetColumnIdintegerRequired

The Column ID

Body
headingstringRequired

The heading for the Column

listContentstringOptional

A comma separated list of content for drop downs

columnOrderintegerRequired

The display order for this column

dataTypeIdintegerRequired

The data type ID for this column

dataSetColumnTypeIdintegerRequired

The column type for this column

formulastringOptional

MySQL SELECT syntax formula for this Column if the column type is formula

remoteFieldstringOptional

JSON-String to select Data from the Remote DataSet

showFilterintegerRequired

Flag indicating whether this column should present a filter on DataEntry

showSortintegerRequired

Flag indicating whether this column should allow sorting on DataEntry

tooltipintegerOptional

Help text that should be displayed when entering data for this Column.

isRequiredintegerOptional

Flag indicating whether value must be provided for this Column.

dateFormatstringOptional

PHP date format for the dates in the source of the remote DataSet

Responses
201

successful operation

application/json
put/dataset/{dataSetId}/column/{dataSetColumnId}
PUT /api/dataset/{dataSetId}/column/{dataSetColumnId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 207

"heading='text'&listContent='text'&columnOrder=1&dataTypeId=1&dataSetColumnTypeId=1&formula='text'&remoteField='text'&showFilter=1&showSort=1&tooltip=1&isRequired=1&dateFormat='text'"
201

successful operation

{
  "dataSetColumnId": 1,
  "dataSetId": 1,
  "heading": "text",
  "dataTypeId": 1,
  "dataSetColumnTypeId": 1,
  "listContent": "text",
  "columnOrder": 1,
  "formula": "text",
  "dataType": "text",
  "remoteField": "text",
  "showFilter": "text",
  "showSort": "text",
  "dataSetColumnType": "text",
  "tooltip": "text",
  "isRequired": 1,
  "dateFormat": "text"
}

Delete Column

delete

Delete DataSet Column

Path parameters
dataSetIdintegerRequired

The DataSet ID

dataSetColumnIdintegerRequired

The Column ID

Responses
204

successful operation

No content

delete/dataset/{dataSetId}/column/{dataSetColumnId}
DELETE /api/dataset/{dataSetId}/column/{dataSetColumnId} HTTP/1.1
Accept: */*
204

successful operation

No content

DataSet Data

get

Get Data for DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

Query parameters
keywordstringOptional

Filter by dataset data column

sortBystringOptional

Specifies which field the results are sorted by. Used together with sortDir

sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

get/dataset/data/{dataSetId}
GET /api/dataset/data/{dataSetId} HTTP/1.1
Accept: */*
200

successful operation

No content

Add Row

post

Add a row of Data to a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

Body
dataSetColumnId_IDstringRequired

Parameter for each dataSetColumnId in the DataSet

Responses
201

successful operation

post/dataset/data/{dataSetId}
POST /api/dataset/data/{dataSetId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 29

"dataSetColumnId_ID='text'"
201

successful operation

No content

Edit Row

put

Edit a row of Data to a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

rowIdintegerRequired

The Row ID of the Data to Edit

Body
dataSetColumnId_IDstringRequired

Parameter for each dataSetColumnId in the DataSet

Responses
200

successful operation

No content

put/dataset/data/{dataSetId}/{rowId}
PUT /api/dataset/data/{dataSetId}/{rowId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 29

"dataSetColumnId_ID='text'"
200

successful operation

No content

Delete Row

delete

Delete a row of Data to a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

rowIdintegerRequired

The Row ID of the Data to Delete

Responses
204

successful operation

No content

delete/dataset/data/{dataSetId}/{rowId}
DELETE /api/dataset/data/{dataSetId}/{rowId} HTTP/1.1
Accept: */*
204

successful operation

No content

Search RSSs

get

Search RSSs for DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

Query parameters
titlestringOptional

Filter by RSS title

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/dataset/{dataSetId}/rss
GET /api/dataset/{dataSetId}/rss HTTP/1.1
Accept: */*
200

successful operation

[]

Add RSS

post

Add a RSS to a DataSet

Path parameters
dataSetIdintegerRequired

The DataSet ID

Body
titlestringRequired

The title for the RSS

authorstringRequired

The author for the RSS

summaryColumnIdintegerRequired

The columnId to be used as each item summary

contentColumnIdintegerRequired

The columnId to be used as each item content

publishedDateColumnIdintegerRequired

The columnId to be used as each item published date

Responses
201

successful operation

application/json
Responseany

Class DataSetRss

post/dataset/{dataSetId}/rss
POST /api/dataset/{dataSetId}/rss HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 98

"title='text'&author='text'&summaryColumnId=1&contentColumnId=1&publishedDateColumnId=1"
201

successful operation

No content

DataSet RSS Search by ID

get

Get the DataSet RSS object specified by the provided datasetId and rssId

Path parameters
datasetIdintegerRequired

Numeric ID of the DataSet to get

datasetRssIdintegerRequired

Numeric ID of the DataSet RSS to get

Responses
200

successful operation

application/json
anyOptional

Class DataSetRss

get/dataset/{id}/rss/{rssId}}
GET /api/dataset/{id}/rss/{rssId}} HTTP/1.1
Accept: */*
200

successful operation

No content

Edit Rss

put

Edit DataSet Rss Feed

Path parameters
dataSetIdintegerRequired

The DataSet ID

rssIdintegerRequired

The RSS ID

Body
titlestringRequired

The title for the RSS

authorstringRequired

The author for the RSS

summaryColumnIdintegerRequired

The rssId to be used as each item summary

contentColumnIdintegerRequired

The columnId to be used as each item content

publishedDateColumnIdintegerRequired

The columnId to be used as each item published date

regeneratePskintegerRequired

Regenerate the PSK?

Responses
204

successful operation

No content

put/dataset/{dataSetId}/rss/{rssId}
PUT /api/dataset/{dataSetId}/rss/{rssId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 116

"title='text'&author='text'&summaryColumnId=1&contentColumnId=1&publishedDateColumnId=1&regeneratePsk=1"
204

successful operation

No content

Delete RSS

delete

Delete DataSet RSS

Path parameters
dataSetIdintegerRequired

The DataSet ID

rssIdintegerRequired

The RSS ID

Responses
204

successful operation

No content

delete/dataset/{dataSetId}/rss/{rssId}
DELETE /api/dataset/{dataSetId}/rss/{rssId} HTTP/1.1
Accept: */*
204

successful operation

No content

Last updated

Was this helpful?